lp:~corey.bryant/ubuntu/wily/python-pyscss/thedac

Created by Corey Bryant on 2015-08-18 and last modified on 2015-08-18
Get this branch:
bzr branch lp:~corey.bryant/ubuntu/wily/python-pyscss/thedac
Only Corey Bryant can upload to this branch. If you are Corey Bryant please log in for upload directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Corey Bryant
Status:
Development

Recent revisions

12. By Corey Bryant on 2015-08-18

remaining changes

11. By David Ames on 2015-08-17

* Merge from Debian unstable. Remaining changes:
  - Removed conflict in debian/control
* Add python-enum34 build-dep (Closes: #795521). Thanks Chris Lamb!
* Re-add missing manual page.
* New upstream version.
* Add missing build-deps python-pathlib and dh-python.
* Run unittests for Python 2.7 and 3.4.
* Removed obsolete patches python3-fixup and python-3.2-six.u.
* Lintian: Removed *.postrm.
* New standards version 3.9.6, no changes.

10. By James Page on 2015-06-30

* Enable unit tests for python 3.4.
* Add dh-python to BD's.

9. By Thomas Goirand <email address hidden> on 2014-09-29

* Add python{3,}-{pytest,pil} to Build-Depends.
* Run unit tests (only in Python 2.7).

8. By Chuck Short on 2014-10-02

[ Corey Bryant ]
* d/python-pyscss.postrm: Removed due to Lintian error, and
  python-pyscss.prerm already removes the alternative.
* d/python3-pyscss.postrm: Removed due to Lintian error, and
  python3-pyscss.prerm already removes the alternative.

7. By James Page on 2014-09-24

* New upstream point release, resolving compilation failures for
  bootstrap >= 3.2.0 (LP: #1370137).
* d/p/python-3.2-six.u.patch: Dropped, causes exceptions decoding Unicode
  characters and is not required for Ubuntu 14.10 (LP: #1373605).
* d/control,rules: Add python{3}-{pytest,pil} to Build-Depends, execute test
  suite during package build.

6. By James Page on 2014-09-17

* d/p/python3-fixup.patch: Update with cherry pick from upstream VCS
  for complete python3 support in native speedups.
* d/p/python3-fixes.patch: Drop - no longer required.

5. By Chuck Short on 2014-09-16

debian/patches/python3-fixes.patch: Add more complete fix for python3
support.

4. By Thomas Goirand <email address hidden> on 2014-06-28

* Fixed non ascii char in README.rst which produced an FTBFS.
* Added python-six / python3-six as build-depends (needed by setup.py).

3. By Thomas Goirand <email address hidden> on 2014-06-26

* Team upload.
* New upstream release (Closes: #738776).
* Added a debian/gbp.conf.
* Added missing ${python:Depends}
* Added Python 3 support.
* Removed duplicate debhelper build-depends.
* Cannonical VCS URLs.
* Standards-Version: is now 3.9.5.
* Added a watch file.
* override dh helpers which the package doesn't use.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/wily/python-pyscss
This branch contains Public information 
Everyone can see this information.

Subscribers